'\" t
.\"     Title: regdiff
.\"    Author: [see the "AUTHOR" section]
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 12/18/2019
.\"    Manual: System Administration tools
.\"    Source: Samba 4.0
.\"  Language: English
.\"
.TH "REGDIFF" "1" "12/18/2019" "Samba 4\&.0" "System Administration tools"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
regdiff \- Diff program for Windows registry files
.SH "SYNOPSIS"
.HP \w'\fBregdiff\fR\ 'u
\fBregdiff\fR [\-\-help] [\-\-backend=BACKEND] [\-\-credentials=CREDENTIALS] [location]
.SH "DESCRIPTION"
.PP
regdiff compares two Windows registry files key by key and value by value and generates a text file that contains the differences between the two files\&.
.PP
A file generated by regdiff can later be applied to a registry file by the regpatch utility\&.
.PP
regdiff and regpatch use the same file format as the regedit32\&.exe utility from Windows\&.
.SH "OPTIONS"
.PP
\-\-help
.RS 4
Show list of available options\&.
.RE
.PP
\-\-backend BACKEND
.RS 4
Name of backend to load\&. Possible values are: creg, regf, dir and rpc\&. The default is
\fIdir\fR\&.
.sp
This argument can be specified twice: once for the first registry file and once for the second\&.
.RE
.PP
\-\-credentials=CREDENTIALS
.RS 4
Credentials to use, if any\&. Password should be separated from user name by a percent sign\&.
.sp
This argument can be specified twice: once for the first registry file and once for the second\&.
.RE
.SH "VERSION"
.PP
This man page is correct for version 4\&.0 of the Samba suite\&.
.SH "SEE ALSO"
.PP
gregedit, regshell, regpatch, regtree, samba, patch, diff
.SH "AUTHOR"
.PP
This utility is part of the
\m[blue]\fBSamba\fR\m[]\&\s-2\u[1]\d\s+2
suite, which is developed by the global
\m[blue]\fBSamba Team\fR\m[]\&\s-2\u[2]\d\s+2\&.
.PP
This manpage and regdiff were written by Jelmer Vernooij\&.
.SH "NOTES"
.IP " 1." 4
Samba
.RS 4
\%http://www.samba.org/
.RE
.IP " 2." 4
Samba Team
.RS 4
\%http://www.samba.org/samba/team/
.RE
